> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browser-use.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Profile

> Profiles allow you to preserve the state of the browser between tasks.

They are most commonly used to allow users to preserve the log-in state in the agent between tasks.
You'd normally create one profile per user and then use it for all their tasks.

You can set a `user_id` when creating a profile to associate it with a user in your system.
This allows you to later search for the profile using the GET /profiles endpoint with a query parameter.



## OpenAPI

````yaml /cloud/openapi/v3.json post /profiles
openapi: 3.1.0
info:
  title: Browser Use Public API v3
  summary: Browser Use session-based agent API (v3)
  version: 3.0.0
servers:
  - url: https://api.browser-use.com/api/v3
    description: Production server
security: []
paths:
  /profiles:
    post:
      tags:
        - Profiles
      summary: Create Profile
      description: >-
        Profiles allow you to preserve the state of the browser between tasks.


        They are most commonly used to allow users to preserve the log-in state
        in the agent between tasks.

        You'd normally create one profile per user and then use it for all their
        tasks.


        You can set a `user_id` when creating a profile to associate it with a
        user in your system.

        This allows you to later search for the profile using the GET /profiles
        endpoint with a query parameter.
      operationId: create_profile_profiles_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProfileCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileView'
        '402':
          description: Subscription required for additional profiles
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsufficientCreditsError'
        '422':
          description: Request validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ProfileCreateRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Name
          description: Optional name for the profile
        userId:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: User ID
          description: >-
            Your internal user identifier for this profile. Use this to
            associate a profile with a user in your system.
      type: object
      title: ProfileCreateRequest
      description: Request model for creating a new profile.
    ProfileView:
      properties:
        id:
          type: string
          format: uuid
          title: ID
          description: Unique identifier for the profile
        userId:
          anyOf:
            - type: string
            - type: 'null'
          title: User ID
          description: >-
            Your internal user identifier for this profile. Use this to
            associate a profile with a user in your system.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Optional name for the profile
        lastUsedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Used At
          description: Timestamp when the profile was last used
        createdAt:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the profile was created
        updatedAt:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the profile was last updated
        cookieDomains:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cookie Domains
          description: List of domain URLs that have cookies stored for this profile
      type: object
      required:
        - id
        - createdAt
        - updatedAt
      title: ProfileView
      description: >-
        View model for representing a profile. A profile lets you preserve the
        login state between sessions.


        We recommend that you create a separate profile for each user of your
        app.

        You can assign a user_id to each profile to easily identify which user
        the profile belongs to.
    InsufficientCreditsError:
      properties:
        detail:
          type: string
          title: Detail
          default: Insufficient credits
      type: object
      title: InsufficientCreditsError
      description: Error response when there are insufficient credits
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Browser-Use-API-Key

````